Skip to main content
GET
Get contexts

Authorizations

Authorization
string
header
required

Path Parameters

projectKey
string<string>
required

The project key

environmentKey
string<string>
required

The environment key

kind
string<string>
required

The context kind

key
string<string>
required

The context key

Query Parameters

limit
integer<int64>

Specifies the maximum number of items in the collection to return (max: 50, default: 20)

continuationToken
string<string>

An opaque cursor that identifies the next page of results. You can use this for pagination, however, we recommend using the next link we provide instead.

sort
string<string>

Deprecated. This endpoint does not support sorting. Requests that include this parameter are rejected with a 400 response, so omit it. Results are always sorted by context kind and key.

filter
string<string>

A comma-separated list of context filters. This endpoint only accepts an applicationId filter. To learn more about the filter syntax, read Filtering contexts.

includeTotalCount
boolean

Specifies whether to include or omit the total count of matching contexts. Defaults to true.

Response

Contexts collection response

_environmentId
string
required

The environment ID where the context was evaluated

Example:

"57be1db38b75bf0772d11384"

items
object[]
required

A collection of contexts. Can include multiple versions of contexts that have the same kind and key, but different applicationIds.

The location and content type of related resources

Example:
totalCount
integer

The number of matching contexts. This value is approximate and may be omitted if it is unavailable.

Example:

100

continuationToken
string

An obfuscated string that references the last context on the previous page of results. You can use this for pagination, however, we recommend using the next link instead.

Example:

"QAGFKH1313KUGI2351"